org.eclipse.gef.dot.internal.ui

## Class DotHTMLLabelJavaFxNode

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.DotHTMLLabelJavaFxNode

    public class DotHTMLLabelJavaFxNode
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DotHTMLLabelJavaFxNode(java.lang.String label)` Creates a DotHTMLLabelJavaNode creator
`DotHTMLLabelJavaFxNode(java.lang.String label, java.lang.String face, java.lang.String size, java.lang.String color, java.lang.String colorscheme)` Creates a DotHTMLLabelJavaNode creator with default styles

### Method Summary

All Methods Instance Methods Concrete Methods
`javafx.geometry.Bounds` `getBounds()` Bounds for the JavaFxElement after CSS
`javafx.scene.layout.Pane` `getFxElement()` Method to retrieve the JavaFX pane

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotHTMLLabelJavaFxNode

    public DotHTMLLabelJavaFxNode(java.lang.String label)

Creates a DotHTMLLabelJavaNode creator

Parameters:
  `label` - HTML label attribute as string

#### DotHTMLLabelJavaFxNode

    public DotHTMLLabelJavaFxNode(java.lang.String label,
                                  java.lang.String face,
                                  java.lang.String size,
                                  java.lang.String color,
                                  java.lang.String colorscheme)

Creates a DotHTMLLabelJavaNode creator with default styles

Parameters:
  `label` - HTML label attribute as string
  `face` - Default typeface
  `size` - Default font size
  `color` - Default font color
  `colorscheme` - The colorscheme in use

### Method Detail

#### getFxElement

    public javafx.scene.layout.Pane getFxElement()

Method to retrieve the JavaFX pane

Returns:
  Java Fx Pane

#### getBounds

    public javafx.geometry.Bounds getBounds()

Bounds for the JavaFxElement after CSS

Returns:
  Bounds